<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:extended-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.0//EN"
  "http://www.logreport.org/LDSML/1.0/ldsml.dtd">
<lire:extended-schema id="www-robot" base-schema="www"
 module="Lire::Extensions::WWW::RobotSchema"
 xmlns:lire="http://www.logreport.org/LDSML/">
<!-- Since there is no way to specify an "or" condition in the
     required-fields attribute, we require nothing -->
 
 <lire:title>Robot Extended Schema for WWW service</lire:title>
 <lire:description>
  <para>This is an extended schema for the WWW service which adds 
   a robot field based on information from the domain name or 
   the <structfield>user_agent</structfield> string.
  </para>
 </lire:description>

 <lire:field name="robot"   type="string" default="Unknown/No Robot">
  <lire:description>
   <para>The name of the robot that made the request.</para>
  </lire:description>
 </lire:field>

</lire:extended-schema>
